'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * inject the style tag into the head of the document
 * 
 * @param {string} id
 * @param {string} css
 * @returns {HTMLElement}
 */
var injectStyleTag = function injectStyleTag(id, css) {
  var style = document.createElement('style');

  style.id = id;
  style.textContent = css;

  document.head.appendChild(style);

  return style;
};

exports.injectStyleTag = injectStyleTag;